using System.ComponentModel.DataAnnotations;

namespace Siger.Middlelayer.Repository.Request
{
    public class RequestAddSection
    {
        [Required(ErrorMessage = "TitleIsEmpty")]
        public string title { get; set; }

        [Required(ErrorMessage = "DescriptionIsEmpty")]
        public string description { get; set; }

        public int type { get; set; }
    }

    public class RequestUpdateSection : RequestAddSection
    {
        [Required(ErrorMessage = "IdIsEmpty")]
        public int id { get; set; }
    }
}
